public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/python-jwt/
@ 2021-02-21 20:54 William Hubbs
  0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2021-02-21 20:54 UTC (permalink / raw
  To: gentoo-commits

commit:     5e70799a358f52b9ffd23fe68ef9f167ddc33277
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 21 20:53:56 2021 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Feb 21 20:53:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e70799a

dev-python/python-jwt: JSON Web Token library for python 3

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/python-jwt/Manifest                |  1 +
 dev-python/python-jwt/metadata.xml            | 12 +++++++++++
 dev-python/python-jwt/python-jwt-1.2.0.ebuild | 31 +++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-python/python-jwt/Manifest b/dev-python/python-jwt/Manifest
new file mode 100644
index 00000000000..68ed9f2622f
--- /dev/null
+++ b/dev-python/python-jwt/Manifest
@@ -0,0 +1 @@
+DIST python-jwt-1.2.0.tar.gz 22578 BLAKE2B e8ed53c87f55f829e134955d03efd4c4a8e34e1eaa03f20a644db71d7b79d21564344a856206ad72aa5e0fa8cb8fa799d710a9669850c50c7aa588bfa59d7962 SHA512 c663e3fbb6476ae60b485e497f898aed2db84aa10c677ef2fc46160b355ea51af31ed259117fe20937809068e6c586e4f48b4e217722a47231f19be59f25295c

diff --git a/dev-python/python-jwt/metadata.xml b/dev-python/python-jwt/metadata.xml
new file mode 100644
index 00000000000..a2de45549ba
--- /dev/null
+++ b/dev-python/python-jwt/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>williamh@gentoo.org</email>
+		<name>William Hubbs</name>
+	</maintainer>
+	<maintainer type="person">
+		<email>chutzpah@gentoo.org</email>
+		<name>Patrick McLean</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-python/python-jwt/python-jwt-1.2.0.ebuild b/dev-python/python-jwt/python-jwt-1.2.0.ebuild
new file mode 100644
index 00000000000..0a3aabc02d7
--- /dev/null
+++ b/dev-python/python-jwt/python-jwt-1.2.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_8 )
+inherit distutils-r1
+
+DESCRIPTION="JSON Web Token library for python 3"
+HOMEPAGE="https://github.com/GehirnInc/python-jwt"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/hvac/hvac.git"
+else
+	SRC_URI="https://github.com/GehirnInc/python-jwt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+DEPEND="dev-python/cryptography[${PYTHON_USEDEP}]
+test? ( dev-python/freezegun[${PYTHON_USEDEP}] )"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed -i -e 's/^addopts =.*/addopts = jwt/' setup.cfg || die
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/python-jwt/
@ 2021-02-21 22:34 William Hubbs
  0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2021-02-21 22:34 UTC (permalink / raw
  To: gentoo-commits

commit:     94639107098cce7c739e1072fdbbcb913b99c745
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 21 21:27:37 2021 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Feb 21 22:34:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94639107

dev-python/python-jwt: several fixes

- fix dependencies
- add python 3.9
- allow allarches stabilization

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/python-jwt/metadata.xml            | 1 +
 dev-python/python-jwt/python-jwt-1.2.0.ebuild | 7 +++----
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-python/python-jwt/metadata.xml b/dev-python/python-jwt/metadata.xml
index a2de45549ba..aeca96839a4 100644
--- a/dev-python/python-jwt/metadata.xml
+++ b/dev-python/python-jwt/metadata.xml
@@ -9,4 +9,5 @@
 		<email>chutzpah@gentoo.org</email>
 		<name>Patrick McLean</name>
 	</maintainer>
+	<stabilize-allarches/>
 </pkgmetadata>

diff --git a/dev-python/python-jwt/python-jwt-1.2.0.ebuild b/dev-python/python-jwt/python-jwt-1.2.0.ebuild
index 0a3aabc02d7..e10f83af9f6 100644
--- a/dev-python/python-jwt/python-jwt-1.2.0.ebuild
+++ b/dev-python/python-jwt/python-jwt-1.2.0.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python3_8 )
+PYTHON_COMPAT=( python3_8 python3_9 )
 inherit distutils-r1
 
 DESCRIPTION="JSON Web Token library for python 3"
@@ -19,9 +19,8 @@ fi
 LICENSE="Apache-2.0"
 SLOT="0"
 
-DEPEND="dev-python/cryptography[${PYTHON_USEDEP}]
-test? ( dev-python/freezegun[${PYTHON_USEDEP}] )"
-RDEPEND="${DEPEND}"
+BDEPEND="test? ( dev-python/freezegun[${PYTHON_USEDEP}] )"
+RDEPEND="dev-python/cryptography[${PYTHON_USEDEP}]"
 
 distutils_enable_tests pytest
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/python-jwt/
@ 2021-02-24  7:59 Michał Górny
  0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2021-02-24  7:59 UTC (permalink / raw
  To: gentoo-commits

commit:     1a6152e2d30572cc78df912e3916e8f2b7033978
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 24 07:53:03 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 07:57:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a6152e2

dev-python/python-jwt: Add remote-id

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-jwt/metadata.xml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-python/python-jwt/metadata.xml b/dev-python/python-jwt/metadata.xml
index aeca96839a4..fb6d10e660c 100644
--- a/dev-python/python-jwt/metadata.xml
+++ b/dev-python/python-jwt/metadata.xml
@@ -10,4 +10,8 @@
 		<name>Patrick McLean</name>
 	</maintainer>
 	<stabilize-allarches/>
+	<upstream>
+		<remote-id type="github">GehirnInc/python-jwt</remote-id>
+		<remote-id type="pypi">jwt</remote-id>
+	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/python-jwt/
@ 2021-09-12 17:10 Arthur Zamarin
  0 siblings, 0 replies; 4+ messages in thread
From: Arthur Zamarin @ 2021-09-12 17:10 UTC (permalink / raw
  To: gentoo-commits

commit:     b99e27206a3db1bb153c00e4bb45ca8101b7a109
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 12 17:10:25 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 12 17:10:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b99e2720

dev-python/python-jwt: enable py3.10, EAPI=8, block dev-python/pyjwt

Closes: https://bugs.gentoo.org/772011
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/python-jwt/python-jwt-1.2.0.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/dev-python/python-jwt/python-jwt-1.2.0.ebuild b/dev-python/python-jwt/python-jwt-1.2.0.ebuild
index e10f83af9f6..1db1e4d42d1 100644
--- a/dev-python/python-jwt/python-jwt-1.2.0.ebuild
+++ b/dev-python/python-jwt/python-jwt-1.2.0.ebuild
@@ -1,8 +1,9 @@
 # Copyright 2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-PYTHON_COMPAT=( python3_8 python3_9 )
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
 DESCRIPTION="JSON Web Token library for python 3"
@@ -20,7 +21,10 @@ LICENSE="Apache-2.0"
 SLOT="0"
 
 BDEPEND="test? ( dev-python/freezegun[${PYTHON_USEDEP}] )"
-RDEPEND="dev-python/cryptography[${PYTHON_USEDEP}]"
+RDEPEND="
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	!dev-python/pyjwt
+"
 
 distutils_enable_tests pytest
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-09-12 17:10 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-09-12 17:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-jwt/ Arthur Zamarin
  -- strict thread matches above, loose matches on Subject: below --
2021-02-24  7:59 Michał Górny
2021-02-21 22:34 William Hubbs
2021-02-21 20:54 William Hubbs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox